/*
    This file is part of the Tutorial chapter of "Getting Started with Enhydra".
    It is not meant to be used in any other context.
*/

package simpleapp.presentation;

import java.util.Date;
import org.enhydra.xml.xmlc.*;
import com.lutris.appserver.server.httpPresentation.*;
import org.w3c.dom.html.*;
import org.w3c.dom.*;


public class SimplePresentation implements HttpPresentation {

String[][] discList =
	{ { "Felonious Monk Fish", "Deep Sea Blues", "Jazz", "Yes" },
	 { "Funky Urchin", "Lovely Spines", "Techno Pop", "Yes" },
	 { "Stinky Pups", "Shark Attack", "Hardcore", "No" } };

    public void run(HttpPresentationComms comms)
        throws HttpPresentationException {

        String now = new Date().toString();
        // SimpleHTML simple = new SimpleHTML();
        SimpleHTML simple =(SimpleHTML)comms.xmlcFactory.create(SimpleHTML.class);

        simple.setTextTime(now);

        HTMLTableRowElement templateRow = simple.getElementTemplateRow();
        HTMLElement artistCellTemplate = simple.getElementArtist();
        HTMLElement titleCellTemplate = simple.getElementTitle();
        HTMLElement genreCellTemplate = simple.getElementGenre();
        HTMLElement likeThisDisc = simple.getElementLikeThisDisc();

        templateRow.removeAttribute("id");
        artistCellTemplate.removeAttribute("id");
        titleCellTemplate.removeAttribute("id");
        genreCellTemplate.removeAttribute("id");
        likeThisDisc.removeAttribute("id");

        Node discTable = templateRow.getParentNode();

        for(int numDiscs = 0; numDiscs < discList.length; numDiscs++) {
	        simple.setTextArtist(discList[numDiscs][0]);
	        simple.setTextTitle(discList[numDiscs][1]);
	        simple.setTextGenre(discList[numDiscs][2]);
	        simple.setTextLikeThisDisc(discList[numDiscs][3]);
	        discTable.appendChild(templateRow.cloneNode(true));
        }

        discTable.removeChild(templateRow);

        comms.response.writeHTML(simple.toDocument());
    }

}